package com.cloudcross.ssp.service.impl;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cloudcross.ssp.base.dao.GenericIBatisDao;
import com.cloudcross.ssp.common.utils.MapBuilder;
import com.cloudcross.ssp.model.AdgroupWifigroup;
import com.cloudcross.ssp.service.IAdgroupWifigroupService;



@Service
public class AdgroupWifigroupService implements IAdgroupWifigroupService{
	
	@Autowired
	private GenericIBatisDao myBatisDao;
	
	public void saveAdgroupWifigroup(AdgroupWifigroup adgroupWifigroup,List<Long>wifigroupIdList){
		myBatisDao.save("adgroupWifigroupSqlMapper.addAdgroupWifigroupBatch",MapBuilder.create(HashMap.class)
				.add("wifigroupIdList",wifigroupIdList)
				.add("adgroupWifigroup",adgroupWifigroup)
				.map());
	}
}
